D4Science Infrastructure - Task #12884

AlienAndInvasiveSpecies : Geonetwork Resource
Nov 15, 2018 09:59 AM - Roberto Cirillo

Status: Closed Start date: Nov 15, 2018
Priority: Normal Due date:

Assignee: Fabio Sinibaldi % Done: 100%
Category: Other Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Production

Description

I've seen the following exception on portal log:

2018-11-15 08:48:04,816 INFO server.GCubeGeoExplorerServletImpl [Timer-4,refreshParametersCache:2
49] %[PORTAL] 494569510 [Timer-4] INFO org.gcube.portlets.user.gcubegeoexplorer.server.GCubeGeoEx

plorerServletImpl - refreshParametersCache start...

2018-11-15 08:48:04,817 INFO server.GCubeGeoExplorerServletImpl [Timer-4,refreshParametersCache:2
53] %[PORTAL] 494569511 [Timer-4] INFO org.gcube.portlets.user.gcubegeoexplorer.server.GCubeGeoEx

plorerServletImpl - Refreshing cache with gis parameters for scope:/d4science.research-infrastruc

tures.eu/gCubeApps/AlienAndInvasiveSpecies

2018-11-15 08:48:04,829 INFO o.g.r.d.i.Helper [Timer-4,queryAddAuthenticationControl:200] [PORTAL]
578391511 [Timer-4] INFO org.gcube.resources.discovery.icclient.Helper - submitting filtered que

ry: declare namespace ic = 'http://gcube-system.org/namespaces/informationsystem/registry'; declar
e namespace functx = "http://www.functx.com"; declare function functx:is-value-in-sequence ( $va
lue as xs:anyAtomicType? , $seq as xs:anyAtomicType* ) as xs:boolean { $value = $seq } ; for Se

ntryOValueAuth in collection('/db/Profiles/RuntimeResource')//Document/Data/ic:Profile/Resource/S
copes where (functx:is-value-in-sequence ('/d4science.research-infrastructures.eu/gCubeApps/Alie

nAndInvasiveSpecies', SentryOValueAuth/child::*[local-name ()="'Scope']/text())) and ( (SentryOValue

Auth/../Profile/Name/string () eq 'GeoServer') ) return S$SentryOValueAuth/..

2018-11-15 08:48:04,903 INFO o.g.r.d.i.Helper [Timer-4,queryAddAuthenticationControl:200] [PORTAL]
578391585 [Timer—-4] INFO org.gcube.resources.discovery.icclient.Helper - submitting filtered que

ry: declare namespace ic = 'http://gcube-system.org/namespaces/informationsystem/registry'; declar
e namespace functx = "http://www.functx.com"; declare function functx:is-value-in-sequence ( $va
lue as xs:anyAtomicType? , $seq as xs:anyAtomicType* ) as xs:boolean { $value = $seq } ; for Se

ntryOValueAuth in collection('/db/Profiles/RuntimeResource')//Document/Data/ic:Profile/Resource/S
copes where (functx:is-value-in-sequence ('/d4science.research-infrastructures.eu/gCubeApps/Alie
nAndInvasiveSpecies', SentryOValueAuth/child::*[local-name ()="'Scope']/text ())) and ( ($SentryQOValue
Auth/../Profile/Name/string() eq 'GeoNetwork') ) return S$entryOValueAuth/..
LOADING ********* FROM /WEB-INF/jsp/GCubeCkanDataCatalogPortlet_view.jsp
2018-11-15 08:48:04,971 ERROR server.GCubeGeoExplorerServletImpl [Timer-4,getParameters:171] $java
.lang.Exception: Cannot retrieve the runtime resource: GeoNetwork

at org.gcube.portlets.user.gcubegeocexplorer.server.GCubeGeoExplorerServletImpl.getParameters (G
CubeGeoExplorerServletImpl. java:134)

at org.gcube.portlets.user.gcubegeocexplorer.server.GCubeGeoExplorerServletImpl.retrieveGisPara
meters (GCubeGeoExplorerServletImpl. java:200)

at org.gcube.portlets.user.gcubegeocexplorer.server.GCubeGeoExplorerServletImpl.refreshParamete
rsCache (GCubeGeoExplorerServletImpl. java:257)

at org.gcube.portlets.user.gcubegeoexplorer.server.GCubeGeoExplorerServletImpl$l. run (GCubeGeok
xplorerServletImpl. java:81)

at java.util.TimerThread.mainLoop (Timer.java:555)

at java.util.TimerThread.run (Timer. java:505)
[PORTAL] 494569665 [Timer—-4] ERROR org.gcube.portlets.user.gcubegeoexplorer.server.GCubeGeoExplore
rServletImpl - Sorry, an error occurred on reading parameters in Runtime Reosurces for scope: /d4
science.research-infrastructures.eu/gCubelApps/AlienAndInvasiveSpecies resourceName: GeoNetwork
java.lang.Exception: Cannot retrieve the runtime resource: GeoNetwork

at org.gcube.portlets.user.gcubegeocexplorer.server.GCubeGeoExplorerServletImpl.getParameters (G
CubeGeoExplorerServletImpl. java:134)

at org.gcube.portlets.user.gcubegeoexplorer.server.GCubeGeoExplorerServlietImpl.retrieveGisPara
meters (GCubeGeoExplorerServletImpl. java:200)

at org.gcube.portlets.user.gcubegeocexplorer.server.GCubeGeoExplorerServlietImpl.refreshParamete
rsCache (GCubeGeoExplorerServletImpl. java:257)

at org.gcube.portlets.user.gcubegeoexplorer.server.GCubeGeoExplorerServlietImpls$l.run (GCubeGeok
xplorerServletImpl. java:81)

at java.util.TimerThread.mainLoop (Timer.java:555)

at java.util.TimerThread.run (Timer. java:505)
java.lang.Exception: Cannot retrieve the runtime resource: GeoNetwork

at org.gcube.portlets.user.gcubegeocexplorer.server.GCubeGeoExplorerServletImpl.getParameters (G
CubeGeoExplorerServletImpl. java:134)

at org.gcube.portlets.user.gcubegeocexplorer.server.GCubeGeoExplorerServletImpl.retrieveGisPara
meters (GCubeGeoExplorerServletImpl. java:200)

at org.gcube.portlets.user.gcubegeocexplorer.server.GCubeGeoExplorerServletImpl.refreshParamete
rsCache (GCubeGeoExplorerServletImpl. java:257)

at org.gcube.portlets.user.gcubegeoexplorer.server.GCubeGeoExplorerServletImplS$l.run (GCubeGeok
xplorerServletImpl. java:81)

at java.util.TimerThread.mainLoop (Timer. java:555)

at java.util.TimerThread.run (Timer.java:505)
2018-11-15 08:48:04,971 INFO server.GCubeGeoExplorerServletImpl [Timer-4,retrieveGisParameters:21
1] %[PORTAL] 494569665 [Timer—-4] INFO org.gcube.portlets.user.gcubegeoexplorer.server.GCubeGeoExp
lorerServletImpl - retrieved parameters done!
2018-11-15 08:48:04,971 INFO server.GCubeGeoExplorerServletImpl [Timer-4,refreshParametersCache:2
60] %[PORTAL] 494569665 [Timer-4] INFO org.gcube.portlets.user.gcubegeoexplorer.server.GCubeGeoEx
plorerServletImpl - Refreshing completed
LOADING ******x**x FROM /WEB-INF/jsp/GCubeCkanDataCatalogPortlet_view.jsp
LOADING ******x** FROM /WEB-INF/jsp/GCubeCkanDataCatalogPortlet_view.jsp
LOADING *#******** FROM /WEB-INF/jsp/GCubeCkanDataCatalogPortlet_view.jsp

the service endpoint searched is named "Geonetwork" but the Geonetwork ServiceEndpont present in AlienAndInvasiveSpecies is
named "GeoNetwork 3 Alien".
Please could you check and tell me if it's needed to change the resource name of the geonetwork resource of Alien Vre?

History

#1 - Nov 15, 2018 11:49 AM - Francesco Mangiacrapa
- Status changed from New to Closed

- % Done changed from 0 to 100

Roberto and Fabio don't worry about above exceptions... simply you may ignore it.

They are generated from deprecated code that will be removed asap (they are java threads which updating some caches used in the past).
The GeoExplorer is reading the geonetwork service endpoints through the Geonetwork library provided by Fabio, in fact, it works fine.

I'm going to close this ticket.
